// var log4js = require('log4js');
var settings = require("../../config/settings");
const uuidv4 = require('uuid/v4');
const system = require("../system");
class LogClient {
  constructor() {
  }
  getUUID () {
    var uuid = uuidv4();
    var u = uuid.replace(/\-/g, "");
    return u;
  }
  /**
   * 
   * @param {*} pobj json对象
   * @param {*} rtninfo  正确返回{status:0}，错误可null
   * @param {*} errinfo  异常
   */
  async log (pobj, rtninfo, errinfo) {
    rtninfo.requestId = this.getUUID()
    //第三个字段应该存公司id{status:0}
    system.execLogs(settings.appname, pobj, "_" + pobj.company_id + "_", rtninfo, errinfo).then(res => {
      if (res && res.status == 1) {
        console.log("log.....success")
      } else {
        console.log("log.....fail")
      }
    }).catch(e => {
      console.log("log.....fail")
    })
  }
}
module.exports = LogClient;
